curl --request GET \
--url https://test.deribit.com/api/v2/public/get_volatility_index_data \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 833,
"method": "public/get_volatility_index_data",
"params": {
"currency": "BTC",
"start_timestamp": 1599373800000,
"end_timestamp": 1599376800000,
"resolution": "60"
}
}
'import requests
url = "https://test.deribit.com/api/v2/public/get_volatility_index_data"
payload = {
"jsonrpc": "2.0",
"id": 833,
"method": "public/get_volatility_index_data",
"params": {
"currency": "BTC",
"start_timestamp": 1599373800000,
"end_timestamp": 1599376800000,
"resolution": "60"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 833,
method: 'public/get_volatility_index_data',
params: {
currency: 'BTC',
start_timestamp: 1599373800000,
end_timestamp: 1599376800000,
resolution: '60'
}
})
};
fetch('https://test.deribit.com/api/v2/public/get_volatility_index_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 5,
"result": {
"data": [
[
1598019300000,
0.210084879,
0.212860821,
0.210084879,
0.212860821
],
[
1598019360000,
0.212869011,
0.212987527,
0.212869011,
0.212987527
],
[
1598019420000,
0.212987723,
0.212992597,
0.212987723,
0.212992597
]
],
"continuation": null
}
}public/get_volatility_index_data
Retrieves volatility index (VIX) chart data formatted as candles. Volatility indexes measure market expectations of future volatility and are useful for risk assessment and trading strategies.
Use the vix_resolution parameter to specify the candle interval. The data shows historical volatility index values over time and is formatted for use in charting applications.
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR The earliest timestamp to return result from (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)
1536569522277
The most recent timestamp to return result from (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)
1536569522277
Time resolution given in full seconds or keyword 1D (only some specific resolutions are supported)
1, 60, 3600, 43200, 1D Response
Success response
The JSON-RPC version (2.0)
2.0 Volatility index candles.
Hide child attributes
Hide child attributes
Candles as an array of arrays with 5 values each. The inner values correspond to the timestamp in ms, open, high, low, and close values of the volatility index correspondingly.
Continuation - to be used as the end_timestamp parameter on the next request. NULL when no continuation.
The id that was sent in the request
Was this page helpful?